Bug 107483 - DispatchSanity_test.GL31_CORE regression
Summary: DispatchSanity_test.GL31_CORE regression
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Mesa core (show other bugs)
Version: git
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: mesa-dev
QA Contact: mesa-dev
URL:
Whiteboard:
Keywords: regression
Depends on:
Blocks:
 
Reported: 2018-08-04 08:36 UTC by Vinson Lee
Modified: 2018-08-06 17:34 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vinson Lee 2018-08-04 08:36:50 UTC
===========================================================
   Mesa 18.3.0-devel: src/mesa/main/tests/test-suite.log
===========================================================

# TOTAL: 1
# PASS:  0
# SKIP:  0
# XFAIL: 0
# FAIL:  1
# XPASS: 0
# ERROR: 0

.. contents:: :depth: 2

FAIL: main-test
===============

Running main() from gtest_main.cc
[==========] Running 12 tests from 5 test cases.
[----------] Global test environment set-up.
[----------] 2 tests from EnumStrings
[ RUN      ] EnumStrings.LookUpByNumber
[       OK ] EnumStrings.LookUpByNumber (0 ms)
[ RUN      ] EnumStrings.LookUpUnknownNumber
[       OK ] EnumStrings.LookUpUnknownNumber (0 ms)
[----------] 2 tests from EnumStrings (0 ms total)

[----------] 6 tests from DispatchSanity_test
[ RUN      ] DispatchSanity_test.GL31_CORE
dispatch_sanity.cpp:174: Failure
      Expected: nop_table[i]
      Which is: 0x1040cb9d0
To be equal to: table[i]
      Which is: 0x104107520
i = 1367 (NamedRenderbufferStorageMultisampleAdvancedAMD)
dispatch_sanity.cpp:174: Failure
      Expected: nop_table[i]
      Which is: 0x1040cb9d0
To be equal to: table[i]
      Which is: 0x104107330
i = 1368 (RenderbufferStorageMultisampleAdvancedAMD)
[  FAILED  ] DispatchSanity_test.GL31_CORE (1 ms)
[ RUN      ] DispatchSanity_test.GL30
dispatch_sanity.cpp:174: Failure
      Expected: nop_table[i]
      Which is: 0x1040cb9d0
To be equal to: table[i]
      Which is: 0x104107520
i = 1367 (NamedRenderbufferStorageMultisampleAdvancedAMD)
dispatch_sanity.cpp:174: Failure
      Expected: nop_table[i]
      Which is: 0x1040cb9d0
To be equal to: table[i]
      Which is: 0x104107330
i = 1368 (RenderbufferStorageMultisampleAdvancedAMD)
[  FAILED  ] DispatchSanity_test.GL30 (1 ms)
[ RUN      ] DispatchSanity_test.GLES11
[       OK ] DispatchSanity_test.GLES11 (0 ms)
[ RUN      ] DispatchSanity_test.GLES2
dispatch_sanity.cpp:174: Failure
      Expected: nop_table[i]
      Which is: 0x1040cb9d0
To be equal to: table[i]
      Which is: 0x104107520
i = 1367 (NamedRenderbufferStorageMultisampleAdvancedAMD)
dispatch_sanity.cpp:174: Failure
      Expected: nop_table[i]
      Which is: 0x1040cb9d0
To be equal to: table[i]
      Which is: 0x104107330
i = 1368 (RenderbufferStorageMultisampleAdvancedAMD)
[  FAILED  ] DispatchSanity_test.GLES2 (0 ms)
[ RUN      ] DispatchSanity_test.GLES3
dispatch_sanity.cpp:174: Failure
      Expected: nop_table[i]
      Which is: 0x1040cb9d0
To be equal to: table[i]
      Which is: 0x104107520
i = 1367 (NamedRenderbufferStorageMultisampleAdvancedAMD)
dispatch_sanity.cpp:174: Failure
      Expected: nop_table[i]
      Which is: 0x1040cb9d0
To be equal to: table[i]
      Which is: 0x104107330
i = 1368 (RenderbufferStorageMultisampleAdvancedAMD)
[  FAILED  ] DispatchSanity_test.GLES3 (1 ms)
[ RUN      ] DispatchSanity_test.GLES31
dispatch_sanity.cpp:174: Failure
      Expected: nop_table[i]
      Which is: 0x1040cb9d0
To be equal to: table[i]
      Which is: 0x104107520
i = 1367 (NamedRenderbufferStorageMultisampleAdvancedAMD)
dispatch_sanity.cpp:174: Failure
      Expected: nop_table[i]
      Which is: 0x1040cb9d0
To be equal to: table[i]
      Which is: 0x104107330
i = 1368 (RenderbufferStorageMultisampleAdvancedAMD)
[  FAILED  ] DispatchSanity_test.GLES31 (0 ms)
[----------] 6 tests from DispatchSanity_test (3 ms total)

[----------] 2 tests from MesaFormatsTest
[ RUN      ] MesaFormatsTest.FormatTypeAndComps
[       OK ] MesaFormatsTest.FormatTypeAndComps (0 ms)
[ RUN      ] MesaFormatsTest.FormatSanity
[       OK ] MesaFormatsTest.FormatSanity (1 ms)
[----------] 2 tests from MesaFormatsTest (1 ms total)

[----------] 1 test from MesaExtensionsTest
[ RUN      ] MesaExtensionsTest.AlphabeticallySorted
[       OK ] MesaExtensionsTest.AlphabeticallySorted (0 ms)
[----------] 1 test from MesaExtensionsTest (0 ms total)

[----------] 1 test from program_state_string
[ RUN      ] program_state_string.depth_range
[       OK ] program_state_string.depth_range (0 ms)
[----------] 1 test from program_state_string (0 ms total)

[----------] Global test environment tear-down
[==========] 12 tests from 5 test cases ran. (5 ms total)
[  PASSED  ] 7 tests.
[  FAILED  ] 5 tests, listed below:
[  FAILED  ] DispatchSanity_test.GL31_CORE
[  FAILED  ] DispatchSanity_test.GL30
[  FAILED  ] DispatchSanity_test.GLES2
[  FAILED  ] DispatchSanity_test.GLES3
[  FAILED  ] DispatchSanity_test.GLES31

 5 FAILED TESTS
FAIL main-test (exit status: 1)
Comment 1 Ian Romanick 2018-08-05 19:40:50 UTC
Patches sent to the list:

https://patchwork.freedesktop.org/series/47706/
Comment 2 Ian Romanick 2018-08-06 17:34:19 UTC
Fixed by the two following commits:

6229ee87c76 mesa: fix make check for AMD_framebuffer_multisample_advanced
b7946f67787 glapi: Fix GLES versioning for AMD_framebuffer_multisample_advanced functions


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.